> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chargefy.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Charges

> Lista charges.

Lista `charges` em ordem decrescente de criação. Charges são somente leitura:
para cobrar alguém, crie e confirme um `payment_intent`.

## Filtros

<ParamField query="payment_intent" type="string">
  Filtra por payment intent (`pi_*`).
</ParamField>

<ParamField query="invoice" type="string">
  Filtra por invoice (`inv_*`).
</ParamField>

<ParamField query="customer" type="string">
  Filtra por customer (`cus_*`).
</ParamField>

<ParamField query="payment_method" type="string">
  Filtra por payment method (`pm_*`).
</ParamField>

<ParamField query="status" type="string">
  Filtra por status: `pending`, `processing`, `succeeded`, `failed` ou
  `canceled`.
</ParamField>

<ParamField query="limit" type="integer">
  Quantidade de itens, de `1` a `100`.
</ParamField>

<ParamField query="starting_after" type="string">
  Cursor para a próxima página.
</ParamField>

<ParamField query="ending_before" type="string">
  Cursor para a página anterior.
</ParamField>

<RequestExample>
  ```bash cURL theme={}
  curl -X GET "https://api.chargefy.io/v1/charges?payment_intent=pi_123&limit=10" \
    -H "Authorization: Bearer {{API_KEY}}"
  ```
</RequestExample>

<ResponseExample>
  ```json Response 200 theme={}
  {
    "object": "list",
    "data": [
      {
        "id": "ch_123",
        "object": "charge",
        "amount": 9990,
        "amount_captured": 9990,
        "amount_refunded": 0,
        "billing_details": {},
        "captured": true,
        "created_at": "2026-05-16T18:35:00Z",
        "currency": "brl",
        "customer": "cus_123",
        "description": null,
        "disputed": false,
        "invoice": "inv_123",
        "livemode": true,
        "metadata": {},
        "paid": true,
        "payment_error": null,
        "payment_intent": "pi_123",
        "payment_method": "pm_123",
        "payment_method_details": {
          "card": {
            "brand": "visa",
            "exp_month": 12,
            "exp_year": 2030,
            "installments": 1,
            "last4": "4242"
          },
          "type": "credit_card"
        },
        "receipt_url": null,
        "refunded": false,
        "refunds": {
          "object": "list",
          "data": [],
          "has_more": false,
          "url": "/v1/refunds?charge=ch_123"
        },
        "status": "succeeded",
        "updated_at": "2026-05-16T18:35:00Z"
      }
    ],
    "has_more": false,
    "url": "/v1/charges"
  }
  ```
</ResponseExample>
